## ros-lunar-swri-geometry-util 2.9.0

=== debian/changelog ===
ros-lunar-swri-geometry-util (2.9.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-lunar-swri-geometry-util (2.8.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-lunar-swri-geometry-util (2.7.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-lunar-swri-geometry-util (2.7.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-lunar-swri-geometry-util (2.7.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-lunar-swri-geometry-util (2.7.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-lunar-swri-geometry-util (2.6.0-1xenial) xenial; urgency=high

  * Check for valid polygons before calculating intersection area. (#529 <https://github.com/swri-robotics/marti_common/issues/529>)
  * Add polygon utility functions. (#526 <https://github.com/swri-robotics/marti_common/issues/526>)
  * Add function to test if two line segments intersect. (#525 <https://github.com/swri-robotics/marti_common/issues/525>)
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-lunar-swri-geometry-util (2.5.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-lunar-swri-geometry-util (2.4.0-1xenial) xenial; urgency=high

  * Add function for projecting a point onto a plane. (#521 <https://github.com/swri-robotics/marti_common/issues/521>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-lunar-swri-geometry-util (2.3.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-lunar-swri-geometry-util (2.2.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-lunar-swri-geometry-util (2.2.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-lunar-swri-geometry-util (2.1.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-lunar-swri-geometry-util (2.0.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-lunar-swri-geometry-util (1.2.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-lunar-swri-geometry-util (1.1.0-1xenial) xenial; urgency=high

  * Add function for closest point to lines in 3d. (#478 <https://github.com/pjreed/marti_common/issues/478>)
  * Add line intersection function. (#473 <https://github.com/pjreed/marti_common/issues/473>)
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-lunar-swri-geometry-util (1.0.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-lunar-swri-geometry-util (0.3.0-1xenial) xenial; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Add OpenCV dependency
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-lunar-swri-geometry-util (0.2.4-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-geometry-util (0.2.3-1xenial) xenial; urgency=high

  * Fix OpenCV dependencies for Kinetic build (#400 <https://github.com/swri-robotics/marti_common/issues/400>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-lunar-swri-geometry-util (0.2.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-lunar-swri-geometry-util (0.2.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-geometry-util (0.2.0-1xenial) xenial; urgency=high

  * Update FindGEOS to generate linker flags correctly in Ubuntu 16.04 (#348 <https://github.com/swri-robotics/marti_common/issues/348>).
    The regexes to find the link directory and library name from the
    output of geos-config were too liberal, so the library name
    regex would match on the -linux portion of the link directory,
    resulting in broken linker flags. This tightens up those regexes
    a bit to yield the correct library directory and name.
  * Fix a typedef conflict in Ubuntu 16.04 (#347 <https://github.com/swri-robotics/marti_common/issues/347>)
    Wrapping geos includes in #define statements forces geos to typedef
    int64 to int64_t so that it matches opencv's typedef.
  * Add cubic spline interface for tf::Vector3 type.
  * Contributors: Ed Venator, Marc Alban

 -- Marc Alban <malban@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-lunar-swri-geometry-util (0.1.5-1xenial) xenial; urgency=high

  * Add an explicit dependency on pkg-config
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-lunar-swri-geometry-util (0.1.4-1xenial) xenial; urgency=high

  * Fixing Jade compilation issues
  * Fixed compile error when ros-indigo-opencv3 is installed (#307 <https://github.com/evenator/marti_common/issues/307>)
  * Contributors: Kim Mathiassen

 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-lunar-swri-geometry-util (0.1.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-lunar-swri-geometry-util (0.1.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-lunar-swri-geometry-util (0.1.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000


