=== debian/control ===
Source: ros-lunar-swri-geometry-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgeos++-dev, pkg-config, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-cv-bridge, ros-lunar-roscpp, ros-lunar-rostest, ros-lunar-tf
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-lunar-swri-geometry-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgeos++-dev, ros-lunar-cmake-modules, ros-lunar-cv-bridge, ros-lunar-roscpp, ros-lunar-tf
Description: swri_geometry_util
